<ul id="itemContainer" th:fragment="carousel" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="books" type="java.util.ArrayList<generated.libraryservice.GeneratedBook>"*/-->
    <!--/*@thymesVar id="book" type="generated.libraryservice.GeneratedBook"*/-->

    <!-- One book, one item in carousel -->
    <li class="itemSelector" onclick="getBookDetailView(this.id)" th:each="book : ${books}" th:id="${book.reference}">
        <!-- ===== 3D Book ===== -->
        <figure class='book' th:object="${book}">

            <!-- Front -->
            <ul class='book_ul hardcover_front'>
                <li>
                    <div class="coverDesign brown">
                        <span class="ribbon" th:text="#{ribbon}"></span>
                        <img height="99%" th:src="*{imageUrl}" width="99%"/>
                    </div>
                </li>
                <li></li>
            </ul>

            <!-- Pages -->
            <ul class='book_ul page'>
                <li id="bookTitle" th:text="${book.title}"></li>
                <li>
                    <div class="middle">
                        <div class="mouse"></div>
                    </div>
                </li>
                <li></li>
                <li></li>
                <li></li>
            </ul>

            <!-- Back -->
            <ul class='book_ul hardcover_back'>
                <li></li>
                <li></li>
            </ul>

            <!-- Spine -->
            <ul class='book_ul book_spine'>
                <li></li>
                <li></li>
            </ul>
        </figure>
        <div class="carousel-item-shadow"></div>
    </li>

    <!-- ===== No results for the search ===== -->
    <li class="itemSelector" th:if="${books.isEmpty()}">
        <div class="no-result" th:text="#{search.noresult}"></div>
    </li>
</ul>